org.eclipse.gef4.zest.core.viewers

## Interface IEntityConnectionStyleProvider

All Superinterfaces:
  IDisposable

    public interface IEntityConnectionStyleProvider
    extends IDisposable

An extension for label providers which allows users to set styles for connections that are based on entity end points.

### Method Summary

Methods
`Color` `getColor(java.lang.Object src, java.lang.Object dest)` Returns the color for the connection.
`int` `getConnectionStyle(java.lang.Object src, java.lang.Object dest)` Returns the style flags for this connection.
`Color` `getHighlightColor(java.lang.Object src, java.lang.Object dest)` Returns the highlighted color for this connection.
`int` `getLineWidth(java.lang.Object src, java.lang.Object dest)` Returns the line width of the connection. -1 for default.
`org.eclipse.draw2d.ConnectionRouter` `getRouter(java.lang.Object src, java.lang.Object dest)` Returns the connection router of the single relation.
`org.eclipse.draw2d.IFigure` `getTooltip(java.lang.Object src, java.lang.Object dest)` Returns the tooltip for the connection.

### Methods inherited from interface org.eclipse.ui.services.IDisposable

`dispose`

### Method Detail

#### getConnectionStyle

    int getConnectionStyle(java.lang.Object src,
                         java.lang.Object dest)

Returns the style flags for this connection. Valid flags are those that begin with CONNECTION in @see org.eclipse.gef4.zest.core.ZestStyles. Check ZestStyles for legal combinations.

Parameters:
  `src` - the source entity.
  `dest` - the destination entity.
Returns:
  the style flags for this connection.
See Also:
  `ZestStyles`

#### getColor

    Color getColor(java.lang.Object src,
                 java.lang.Object dest)

Returns the color for the connection. Null for default.

Parameters:
  `src` - the source entity. Any resources created by this class must be disposed by this class.
  `dest` - the destination entity.
Returns:
  the color.
See Also:
  `IDisposable.dispose()`

#### getHighlightColor

    Color getHighlightColor(java.lang.Object src,
                          java.lang.Object dest)

Returns the highlighted color for this connection. Null for default.

Parameters:
  `src` - the source entity. Any resources created by this class must be disposed by this class.
  `dest` - the destination entity.
Returns:
  the highlighted color. Null for default.
See Also:
  `IDisposable.dispose()`

#### getLineWidth

    int getLineWidth(java.lang.Object src,
                   java.lang.Object dest)

Returns the line width of the connection. -1 for default.

Parameters:
  `src` - the source entity.
  `dest` - the destination entity.
Returns:
  the line width for the connection. -1 for default.

#### getTooltip

    org.eclipse.draw2d.IFigure getTooltip(java.lang.Object src,
                                        java.lang.Object dest)

Returns the tooltip for the connection.

Parameters:
  `src` - the source entity.
  `dest` - the destination entity.
Returns:
  the tooltip for the connection. Null for default.

#### getRouter

    org.eclipse.draw2d.ConnectionRouter getRouter(java.lang.Object src,
                                                java.lang.Object dest)

Returns the connection router of the single relation.

Parameters:
  `src` - the source entity.
  `dest` - the destination entity.
Returns:
  the router for the connection. Null for default.